### Method

# Vips Image wrap

#### Declaration [src]

    int
    vips_wrap (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Slice an image up and move the segments about so that the pixel that was at 0, 0 is now at `x`, `y`.

If `x` and `y` are not set, they default to the centre of the image.

Optional arguments

- `x`: `gint`, horizontal displacement
- `y`: `gint`, vertical displacement

See also

`vips_embed()`, `vips_replicate()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.